#! /bin/sh
#
#  select_distri.sh   select distribution and version
#                     by now we support FC3, FC4 and FC5

r=/scripts
# distri and version can be defined in slinky.config

# list available versions that can be installed
# 2nd word is the default setting
cat >$r/version_list.raw <<EOF
FC5
FC4
FC3
EOF

# prefix linenumber
awk '{print ++i " " $1 " " $2}' $r/version_list.raw >$r/version_list.txt

dialog --no-cancel --menu "
    Select Fedora's version you want to install. You can select
    the version with space_bar.
" 15 70 3 `cat $r/version_list.txt` 2>/tmp/dialog.ipt

nr=`cat /tmp/dialog.ipt`
nr=`eval echo $nr`
version=`grep "^$nr " $r/version_list.txt | cut -d' ' -f2 | cut -c3`

dialog --no-collapse --msgbox "
    Slinky will install LINUX-distribution: $distri Core $version.

    You must have at least the first one of the installation
    CDs.
    The ISO-Images are called: FC${version}-i386-discx.iso.
    (Or the RPMs from this CD that are going to be installed)
" 13 70

fc_disc1=FC${version}-i386-disc1.iso

echo
echo "distri=$distri, version=$version, fc_disc1=$fc_disc1 selected" >> $i_log
echo

export distri
export version
export fc_disc1
