#! /bin/sh
#
#  select_fstype.sh

# let the user select the file system type, and define
# file system options based on that. Let's default to
# ext2 to save overhead and disk space.

# If not defined in the config file ask.

dialog --no-collapse --menu '
    You may choose between ext2 and ext3 filesystems.
    ext2 probably has lower overhead, while ext3 is
    less prone to problems caused by a hard shutdown.
    
    What type of file system shall I create?
' 14 70 2 1 ext3 2 ext2 2>/tmp/dialog.ipt
item=`cat /tmp/dialog.ipt`

case "$item" in
1) fstype=ext3
   ;;
2) fstype=ext2
   ;;
*) fstype=
   ;;
esac

# Make sure it's a valid type.

case $fstype in
ext3 )
    fsopts="-j -q -m 3"
    ;;
ext2 )
    fsopts="-q -m 3"
    ;;
* )
    echo "Defaulting to ext2 filesystem."
    fsopts="-q -m 3"
    fstype=ext2
    ;;
esac

echo Filesystem type selected = $fstype >> $i_log
echo file system options = $fsopts >> $i_log
export fsopts fstype
echo
