#!/bin/sh

# import the version number

source version.h

img_dir=slinky-images/${version}
echo
echo "Creating pcmcia.image for ${version} in ${img_dir}."
echo
dd if=/dev/zero of=${img_dir}/pcmcia.img bs=1k count=1440 || {
    echo "Error creating filesystem, exiting."
    exit
}
mkfs.ext2 -F -m 0 ${img_dir}/pcmcia.img || {
    echo "Error creating ext2 filesystem, exiting."
    exit
}
echo "Mounting pcmcia.img on the loop device."
mount -o loop ${img_dir}/pcmcia.img loop/ || {
    echo "Error mount the loop filesystem."
    exit
}
echo "Copying filesystem."
cp -a PCMCIA/* loop || {
    echo "Error copying files to the filesystem."
    exit
}

rm -Rf loop/lost+found

echo "Unmounting loop filesystem."
umount loop || {
    echo "Error unmounting the loop device."
    exit
}

echo Done.
exit
